Create envelope recipient preview
Returns a URL to preview the recipients’ view of a draft envelope or template. You can embed this view in your application to enable the sender to preview the recipients’ experience.
You must specify a returnUrl value in the request body.
For more information, see Preview and Send.
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
The envelope’s GUID.
Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
Request
This endpoint expects an object: recipientPreviewRequest
A sender-generated value that indicates the date and time that the signer was authenticated.
Required. Choose a value that most closely matches the technique your application used to authenticate the recipient / signer.
Choose a value from this list:
- Biometric
- HTTPBasicAuth
- Kerberos
- KnowledgeBasedAuth
- None
- PaperDocuments
- Password
- RSASecureID
- SingleSignOn_CASiteminder
- SingleSignOn_InfoCard
- SingleSignOn_MicrosoftActiveDirectory
- SingleSignOn_Other
- SingleSignOn_Passport
- SingleSignOn_SAML
- Smartcard
- SSLMutualAuth
- X509Certificate
This information is included in the Certificate of Completion.
Only used if pingUrl is specified. This is the interval, in seconds, between pings on the pingUrl. The default is 300 seconds. Valid values are 60-1200 seconds.
The URL to which the user will be redirected in an exit scenario. For example, if the link has expired, the user will be redirected to the URL provided here. This value must be an absolute URL.
This property is required.
Specifies whether a browser should be allowed to render a page in a frame or IFrame. Setting this property ensures that your content is not embedded into unauthorized pages or frames.
Valid values are:
deny: The page cannot be displayed in a frame.same_origin: The page can only be displayed in a frame on the same origin as the page itself.allow_from: The page can only be displayed in a frame on the origin specified by thexFrameOptionsAllowFromUrlproperty.
When the value of xFrameOptions is allow_from, this property specifies the origin on which the page is allowed to display in a frame. If the value of xFrameOptions is allow_from, you must include a value for this property.